package com.sun.org.apache.bcel.internal.classfile;

import java.io.IOException;
import java.io.DataInput;

public final class ConstantFieldref extends ConstantCP
{
    public ConstantFieldref(ConstantFieldref c) {
        super((byte)9, c.getClassIndex(), c.getNameAndTypeIndex());
    }
    
    ConstantFieldref(DataInput input) throws IOException {
        super((byte)9, input);
    }
    
    public ConstantFieldref(int class_index, int name_and_type_index) {
        super((byte)9, class_index, name_and_type_index);
    }
    
    @Override
    public void accept(Visitor v) {
        v.visitConstantFieldref(this);
    }
}
